## org.eclipse.datatools.sqltools.routineeditor.util
Class RoutineUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.util.RoutineUtil

    public class RoutineUtil

extends java.lang.Object

Author:
  Hui Cao

Constructor Summary
`RoutineUtil()`

Method Summary
`static java.lang.String` `constructCallableSPUDFDisplayString(org.eclipse.datatools.sqltools.core.ProcIdentifier proc, java.util.List values, org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor[] pds, boolean quoted_id)` Constructs a sql string which can be used to show the detailed information about a CallableStatement to execute the given Routine.
`static java.lang.String` `constructCallableSPUDFString(org.eclipse.datatools.sqltools.core.ProcIdentifier proc, java.util.List values, org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor[] pds, boolean quoted_id)` Constructs a sql string which can be used in a CallableStatement to invoke the Routine.
`static java.lang.String` `constructSPUDFDirectInvocationString(org.eclipse.datatools.sqltools.core.ProcIdentifier proc, java.util.List values, org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor[] pds, boolean quoted_id)` Constructs a sql string to directly invoke the Routine.
`static java.lang.String` `constructTriggerEventString(org.eclipse.datatools.sqltools.core.ProcIdentifier proc, java.util.Map values, boolean quoted_id)` Constructs a sql string to directly invoke the Event object.
`static boolean` `equals(int parserType, int procType, java.lang.String objstr, java.lang.String defDB, java.lang.String defOwner, org.eclipse.datatools.sqltools.core.ProcIdentifier proc, boolean caseSensitive)` Return whether objstr and proc represent the same database object.
`static boolean` `isSameType(int parserType, int procType)` Return whether the object type represented by parserType and that by procType are of the same type

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutineUtil

    public RoutineUtil()

Method Detail

### constructCallableSPUDFString

    public static java.lang.String constructCallableSPUDFString(org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                                                java.util.List values,
                                                                org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor[] pds,
                                                                boolean quoted_id)

  Constructs a sql string which can be used in a CallableStatement to invoke the Routine.

  Parameters:
    `proc` - can be null
    `list` - must be valid value list
    `pds` -
    `quoted_id` -
  Returns:

### constructCallableSPUDFDisplayString

    public static java.lang.String constructCallableSPUDFDisplayString(org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                                                       java.util.List values,
                                                                       org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor[] pds,
                                                                       boolean quoted_id)

  Constructs a sql string which can be used to show the detailed information about a CallableStatement to execute the given Routine. This is for display purpose only.

  Parameters:
    `proc` - can be null
    `list` - must be valid value list
    `pds` -
    `quoted_id` -
  Returns:

### constructSPUDFDirectInvocationString

    public static java.lang.String constructSPUDFDirectInvocationString(org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                                                        java.util.List values,
                                                                        org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor[] pds,
                                                                        boolean quoted_id)

  Constructs a sql string to directly invoke the Routine.

  Parameters:
    `proc` - can be null
    `list` - must be valid value list
    `pds` -
    `quoted_id` -
  Returns:

### constructTriggerEventString

    public static java.lang.String constructTriggerEventString(org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                                               java.util.Map values,
                                                               boolean quoted_id)

  Constructs a sql string to directly invoke the Event object.

  Parameters:
    `proc` - can be null
    `quoted_id` -
    `triggerParams` -
  Returns:

### equals

    public static boolean equals(int parserType,
                                 int procType,
                                 java.lang.String objstr,
                                 java.lang.String defDB,
                                 java.lang.String defOwner,
                                 org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                 boolean caseSensitive)

  Return whether objstr and proc represent the same database object. If db name or owner name is omitted int objstr, defDB or defOwner will be used.

  Parameters:
    `objstr` -
    `proc` -
  Returns:

### isSameType

    public static boolean isSameType(int parserType,
                                     int procType)

  Return whether the object type represented by parserType and that by procType are of the same type

  Parameters:
    `parserType` - type defined in SQLParserContants
    `procType` - type defined in ProcIdentifier
  Returns: